## kde-l10n-csb 4.0.3

=== messages/CMakeLists.txt ===
add_subdirectory(kdebase)
add_subdirectory(kdeedu)
add_subdirectory(kdegames)
add_subdirectory(kdegraphics)
add_subdirectory(kdelibs)
add_subdirectory(kdemultimedia)
add_subdirectory(kdenetwork)
add_subdirectory(kdepimlibs)
add_subdirectory(kdesdk)
add_subdirectory(kdeutils)
add_subdirectory(qt)
install(FILES entry.desktop DESTINATION ${LOCALE_INSTALL_DIR}/${CURRENT_LANG}/ )

## kde-l10n-csb 4.4.2

=== debian/changelog ===
kde-l10n-csb (4:4.4.2-0ubuntu6) lucid; urgency=low

  * Strip entry.desktop file to prevent duplication in KDE's various
    locale listings, most importantly the locale selection button LP: #446739
  * Reupload so that ca@valencia gets imported properly, now that it is in
    main LP: #563755

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 15 Apr 2010 13:51:02 +0200

kde-l10n-csb (4:4.4.2-0ubuntu5) lucid; urgency=low

  * Comment debian/rules a bit more.
  * Make sure extragear and playground desktop files are coming from trunk,
    we need a more sensible approach to this though (LP: #560411)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 11 Apr 2010 12:39:55 +0200

kde-l10n-csb (4:4.4.2-0ubuntu4) lucid; urgency=low

  * Fix wrong langpack-kde-* mappings

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 01 Apr 2010 15:50:26 +0200

kde-l10n-csb (4:4.4.2-0ubuntu3) lucid; urgency=low

  * Fix building as per apachelogger, instead of kde-packager mailing list

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 31 Mar 2010 12:35:27 +0200

kde-l10n-csb (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Fix building of kde-l10n-sv as per advise on the kde-packager mailing list

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 31 Mar 2010 11:57:33 +0200

kde-l10n-csb (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Base all kde-l10n packages on a common packaging
    + add build script debian/build-l10n.sh to fetch source from upstream and
      build source packages from that
    + revise all files to be more auto-editable and include warnings
      where possible, to ensure that out-of-branch edits do not happen
  * Switch to source format 3
    + add quilt as build-dep (get-desktop causes changes that end up as patches)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 31 Mar 2010 04:52:10 +0200

kde-l10n-csb (4:4.4.1-0ubuntu2) lucid; urgency=low

  * Don't use obsolete svn revision for desktop .po files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Mar 2010 23:51:52 +0000

kde-l10n-csb (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Mar 2010 15:45:52 +0000

kde-l10n-csb (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Feb 2010 23:10:05 +0000

kde-l10n-csb (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Jan 2010 12:26:05 +0000

kde-l10n-csb (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream RC release
  * Replace old kde-i18n package
  * Use source format 3.0 to preserve upstream .bz2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Jan 2010 16:22:40 +0000

kde-l10n-csb (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Dec 2009 18:54:47 +0000

kde-l10n-csb (4:4.3.2-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Oct 2009 15:35:17 +0100

kde-l10n-csb (4:4.3.1-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Sep 2009 12:01:47 +0100

kde-l10n-csb (4:4.3.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Aug 2009 15:28:14 +0000

kde-l10n-csb (4:4.2.98-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Jul 2009 21:49:44 +0100

kde-l10n-csb (4:4.2.96-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Jul 2009 12:46:37 +0100

kde-l10n-csb (4:4.2.2-0ubuntu3) jaunty; urgency=low

  * Update rules to download desktop file translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2009 18:09:39 +0100

kde-l10n-csb (4:4.2.2-0ubuntu2) jaunty; urgency=low

  * Fix debian/rules to use KDE 4 l10n (LP: #355814)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 07 Apr 2009 11:46:36 +0200

kde-l10n-csb (4:4.2.2-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Bump version requirements of kdelibs5(-dev) to 4:4.2.2-0ubuntu1

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 29 Mar 2009 17:17:44 -0400

kde-l10n-csb (4:4.2.1-0ubuntu1) jaunty; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 01 Mar 2009 17:16:02 -0500

kde-l10n-csb (4:4.2.0-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Bump version requirements of kdelibs5(-dev) to 4:4.2.0-0ubuntu1

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 29 Jan 2009 22:40:33 +0100

kde-l10n-csb (4:4.1.96-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Bump version requirements of kdelibs5(-dev) to 4:4.1.96-0ubuntu1

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 18 Jan 2009 17:53:44 +0100

kde-l10n-csb (4:4.1.85-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.0
  * Bump version requirements for KDE 4.1.85
  * Replace internal kde.mk with kde4.mk from CDBS

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 22 Dec 2008 09:39:23 +0100

kde-l10n-csb (4:4.1.2-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Oct 2008 16:49:24 +0100

kde-l10n-csb (4:4.1.1-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Sep 2008 15:06:40 +0100

kde-l10n-csb (4:4.1.0-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Jul 2008 14:54:07 +0100

kde-l10n-csb (4:4.0.98-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jul 2008 16:35:05 +0100

kde-l10n-csb (4:4.0.83-0ubuntu1) intrepid; urgency=low

  * New upstream beta release



=== debian/control ===
# ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !#
# DO NOT EVEN THINK ABOUT CHANGING THIS FILE DIRECTLY! ! ! !
# PLEASE USE THE BZR BRANCH AS SEEN IN debian/control
# MAKE YOUR CHANGES THERE AND THEN RUN debian/build-l10n.sh
# kthxbai :)
################################################################################
################################################################################
################################################################################
################################################################################
Source: kde-l10n-csb
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.4.13),
               quilt,
               pkg-kde-tools (>= 0.5.3),
               kdelibs5-dev (>= 4:4.4.1)
Standards-Version: 3.8.4
Homepage: http://l10n.kde.org/team-infos.php?teamcode=csb
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-dev-tools/kde-l10n-common
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-dev-tools/kde-l10n-common

Package: kde-l10n-csb
Architecture: all
Depends: ${misc:Depends},
         kdelibs5 (>= 4:4.4.1),
         language-pack-kde-csb
Replaces: kde-i18n-csb
Description: Kashubian (csb) localization for KDE
 This package contains the translation files for all KDE core applications for
 the language "Kashubian".

=== debian/rules ===
#!/usr/bin/make -f
# ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !#
# DO NOT EVEN THINK ABOUT CHANGING THIS FILE DIRECTLY! ! ! !
# PLEASE USE THE BZR BRANCH AS SEEN IN debian/control
# MAKE YOUR CHANGES THERE AND THEN RUN debian/build-l10n.sh
# kthxbai :)
################################################################################
################################################################################
################################################################################
################################################################################

LANGCODE=csb
#take translations from stable branch to match our KDE 4.4.1 version
SVNREV={2010-03-26}

get-desktop:
	# Fetch all and any desktop file pos for KDE core modules from stable
	cd messages; \
		for module in kde*; do \
			cd $${module}; \
			svn export -r${SVNREV} svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/$(LANGCODE)/messages/$${module}/desktop_$${module}.po; \
			cd ..; \
		done; \
	cd ../..;

	# I do not claim to understand this magic here, but I really think it should get a comment
	-cp messages/kdebase/desktop_kdebase.po messages/kdebase/desktop_kdebase-runtime.po
	-cp messages/kdebase/desktop_kdebase.po messages/kdebase/desktop_kdebase-workspace.po
	-cp messages/kdepim/desktop_kdepim.po messages/kdepim/desktop_kdepim-runtime.po

	# Fetch playground and extragear desktop file pos as per list from pkg-kde-tools
	cd messages/kdelibs; \
		for file in `cat /usr/lib/kubuntu-desktop-i18n/desktop-template-list`; do \
 			svn export -r${SVNREV} svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$(LANGCODE)/messages/$${file}.po; \
# 			svn export -r${SVNREV} svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/$(LANGCODE)/messages/$${file}.po; \
		done; \
	cd ../..;

%:
	dh --with kde --with quilt $@

override_dh_install:
	dh_install -i
	rm -f debian/kde-l10n-csb/usr/share/locale/$(LANGCODE)/entry.desktop

## kde-l10n-csb 4.4.5

=== debian/changelog ===
kde-l10n-csb (4:4.4.5-0ubuntu1~lucid2) lucid-proposed; urgency=low

  * Fix dependency on kdelibs5, LP: #696675

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Jan 2011 17:59:52 +0000

kde-l10n-csb (4:4.4.5-0ubuntu1~lucid1) lucid-proposed; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Dec 2010 19:05:45 +0000

kde-l10n-csb (4:4.4.4-0ubuntu1~lucid1~ppa1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Jun 2010 11:26:02 +0000

kde-l10n-csb (4:4.4.3-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add cmake as build dep as per
    https://wiki.kubuntu.org/KDECMakeBuildDependTransition

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 May 2010 14:16:07 +0200

kde-l10n-csb (4:4.4.3-0ubuntu1~lucid1~ppa1) lucid; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 May 2010 14:12:49 +0200

kde-l10n-csb (4:4.4.2-0ubuntu7.1) lucid-proposed; urgency=low

  * Map ptbr to appropriate Ubuntu code pt instead of br (LP: #561873)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 29 Apr 2010 01:31:21 +0200

kde-l10n-csb (4:4.4.2-0ubuntu7) lucid; urgency=low

  * Reapply apachelogger's patch from 4:4.4.2-0ubuntu3 to fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Apr 2010 11:25:11 -0400

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
 Build-Depends: debhelper (>= 7.4.13),
                quilt,
                pkg-kde-tools (>= 0.5.3),
-               kdelibs5-dev (>= 4:4.4.1)
-Standards-Version: 3.8.4
+               cmake,
+               kdelibs5-dev (>= 4:4.4)
+Standards-Version: 3.9.1
 Homepage: http://l10n.kde.org/team-infos.php?teamcode=csb
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-dev-tools/kde-l10n-common
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-dev-tools/kde-l10n-common
@@ -23,7 +24,7 @@
 Package: kde-l10n-csb
 Architecture: all
 Depends: ${misc:Depends},
-         kdelibs5 (>= 4:4.4.1),
+         kdelibs5 (>= 4:4.4),
          language-pack-kde-csb
 Replaces: kde-i18n-csb
 Description: Kashubian (csb) localization for KDE

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 ################################################################################
 
 LANGCODE=csb
-#take translations from stable branch to match our KDE 4.4.1 version
-SVNREV={2010-03-26}
+#take translations from stable branch to match our KDE SC version
+SVNREV=1142811
 
 get-desktop:
 	# Fetch all and any desktop file pos for KDE core modules from stable
@@ -23,7 +23,7 @@
 		done; \
 	cd ../..;
 
-	# I do not claim to understand this magic here, but I really think it should get a comment
+	# These are not split in svn but are split in release tars, so copy svn file to also cover release tar file
 	-cp messages/kdebase/desktop_kdebase.po messages/kdebase/desktop_kdebase-runtime.po
 	-cp messages/kdebase/desktop_kdebase.po messages/kdebase/desktop_kdebase-workspace.po
 	-cp messages/kdepim/desktop_kdepim.po messages/kdepim/desktop_kdepim-runtime.po
@@ -31,10 +31,14 @@
 	# Fetch playground and extragear desktop file pos as per list from pkg-kde-tools
 	cd messages/kdelibs; \
 		for file in `cat /usr/lib/kubuntu-desktop-i18n/desktop-template-list`; do \
- 			svn export -r${SVNREV} svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$(LANGCODE)/messages/$${file}.po; \
-# 			svn export -r${SVNREV} svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/$(LANGCODE)/messages/$${file}.po; \
+			svn export -r${SVNREV} svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$(LANGCODE)/messages/$${file}.po; \
 		done; \
 	cd ../..;
+
+	# Fetch kdepim 4.4.5 translations
+	cd messages; \
+		svn export svn://anonsvn.kde.org/home/kde/tags/KDE/4.4.5/kde-l10n/${LANGCODE}/messages/kdepim/; \
+	cd ..;
 
 %:
 	dh --with kde --with quilt $@

## kde-l10n-csb 4.5.0

=== messages/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 add_subdirectory(kdemultimedia)
 add_subdirectory(kdenetwork)
 add_subdirectory(kdepimlibs)
+add_subdirectory(kdeplasma-addons)
 add_subdirectory(kdesdk)
 add_subdirectory(kdeutils)
 add_subdirectory(qt)

=== debian/changelog ===
kde-l10n-csb (4:4.5.0-0ubuntu1) maverick; urgency=low

  [ Jonathan Thomas ]
  * Depend on libkdecore5 rather than on kdelibs5, since the latter is
    transitional now

  [ Harald Sitter ]
  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 31 Jul 2010 12:59:35 +0200

kde-l10n-csb (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Download kdepim 4.4.5 translations as part of source build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Jul 2010 18:47:30 +0100

kde-l10n-csb (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jun 2010 11:19:59 +0100

kde-l10n-csb (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Jun 2010 15:01:11 +0100

kde-l10n-csb (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 29 May 2010 22:51:03 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                quilt,
                pkg-kde-tools (>= 0.5.3),
                cmake,
-               kdelibs5-dev (>= 4:4.4)
+               kdelibs5-dev (>= 4:4.5.0)
 Standards-Version: 3.9.1
 Homepage: http://l10n.kde.org/team-infos.php?teamcode=csb
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-dev-tools/kde-l10n-common
@@ -24,7 +24,7 @@
 Package: kde-l10n-csb
 Architecture: all
 Depends: ${misc:Depends},
-         kdelibs5 (>= 4:4.4),
+         libkdecore5 (>= 4:4.5.0),
          language-pack-kde-csb
 Replaces: kde-i18n-csb
 Description: Kashubian (csb) localization for KDE

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 LANGCODE=csb
 #take translations from stable branch to match our KDE SC version
-SVNREV=1142811
+SVNREV=1156561
 
 get-desktop:
 	# Fetch all and any desktop file pos for KDE core modules from stable
